def initUI(self):
        #UI code
        print('init UI')
        # button1=System.Windows.Forms.Button()
        # button1.Location=System.Drawing.Point(5,10)
        # self.Controls.Add(button1)
        self.SuspendLayout()

        lay = Forms.FlowLayoutPanel()
        lay.FlowDirection = Forms.FlowDirection.LeftToRight
        lay.Location = Point(10, 10)
        lay.Size = Size(200, 300)
        lay.Text = 'TopToBottom'
        lay.SuspendLayout()

        tb1 = Forms.TextBox()
        tb1.Text = 'hello'
        tb2 = Forms.TextBox()
        tb2.Text = 'world'

        #tb2.Location=Point(0,20)
        # tb.Location=Drawing.Point(10,10)
        #tb1.Location=Point(10,10)
        lay.Controls.Add(tb1)
        lay.Controls.Add(tb2)

        self.Controls.Add(lay)
        lay.ResumeLayout(False)
        self.ResumeLayout(False)
    def __init__(self):
        self.Text = "Hello World From Python"
        self.AutoScaleBaseSize = Size(5, 13)
        self.ClientSize = Size(392, 117);
        h = WinForms.SystemInformation.CaptionHeight
        self.MinimumSize = Size(392, (117 + h))

        # Create the button
        self.button = WinForms.Button()
        self.button.Location = Point(160, 64)
        self.button.Size = Size(820, 20)
        self.button.TabIndex = 2
        self.button.Text = "Click Me!"
        
        # Register the event handler
        self.button.Click += self.button_Click

        # Create the text box
        self.textbox = WinForms.TextBox()
        self.textbox.Text = "Hello World"
        self.textbox.TabIndex = 1
        self.textbox.Size = Size(1260, 40)
        self.textbox.Location = Point(160, 24)
        
        # Add the controls to the form
        self.AcceptButton = self.button
        self.Controls.Add(self.button);
        self.Controls.Add(self.textbox);
Exemple #3
0
 def __init__(self):
     self.Text = 'Prompt'
     self.Height = 120
     self.Width = 400
     self.StartPosition = Forms.FormStartPosition.CenterScreen
     lbl_prompt = Forms.Label(Visible=True,
                              Left=0,
                              Top=12,
                              Text="Answer",
                              Width=150,
                              Font=font)
     txt_input = Forms.TextBox(Visible=True,
                               Left=160,
                               Top=10,
                               Width=180,
                               Text="",
                               Font=font)
     ok_button = Forms.Button(Text='OK', Visible=True, Left=50, Top=50)
     self.AcceptButton = ok_button
     ok_button.Click += self.OnOK
     cancel_button = Forms.Button(Text='Cancel',
                                  Visible=True,
                                  Left=150,
                                  Top=50)
     cancel_button.Click += self.OnCancel
     self.Controls.Add(lbl_prompt)
     self.Controls.Add(txt_input)
     self.Controls.Add(ok_button)
     self.Controls.Add(cancel_button)
Exemple #4
0
 def __init__(self):
   
   self.show_plugin_menu_item = Forms.ToolStripMenuItem(
     Text = "Show Writer Plugin"
     )
   self.edit_content_menu_item = Forms.ToolStripMenuItem(
     Text = "Edit Content Plugin"
     )
   self.show_plugin_menu_item.Click += self.ShowPlugin
   self.edit_content_menu_item.Click += self.EditContent      
   self.menustrip = Forms.MenuStrip()
   self.menustrip.Items.Add(self.show_plugin_menu_item)    
   self.menustrip.Items.Add(self.edit_content_menu_item)
   
   self.html_view = Forms.TextBox(
     Dock = Forms.DockStyle.Fill,
     Multiline = True,
     WordWrap = False,
     ReadOnly = True,
     ScrollBars = Forms.ScrollBars.Both
     )
     
   self.splitter = Forms.SplitContainer(
     Dock = Forms.DockStyle.Fill,
     )
   
   self.splitter.Panel1.Controls.Add(self.html_view)
   
   with LayoutCtxMgr(self):
     self.Text = "Mock Writer"
     self.ClientSize = Drawing.Size(640,480)
     self.Controls.Add(self.splitter)
     self.Controls.Add(self.menustrip)
   
   self.splitter.SplitterDistance = self.splitter.Size.Width / 2
    def __init__(self):
        self.textBox1 = WinForms.TextBox()
        self.button1 = WinForms.Button()
        self.SuspendLayout()

        # textBox1
        self.textBox1.Location = Point(156, 48)
        self.textBox1.Name = "textBox1"
        self.textBox1.Size = Size(290, 21)
        self.textBox1.TabIndex = 0
        self.textBox1.Text = "Helllo World"

        # button1
        self.button1.Location = Point(156, 140)
        self.button1.Name = "button1"
        self.button1.Size = Size(147, 23)
        self.button1.TabIndex = 1
        self.button1.Text = "Click Me"
        self.button1.UseVisualStyleBackColor = True
        self.button1.Click += self.button_Click

        # Form1
        self.AutoScaleMode = WinForms.AutoScaleMode.Font
        self.ClientSize = Size(709, 354)
        self.Controls.Add(self.button1)
        self.Controls.Add(self.textBox1)
        self.Name = "Form1"
        self.Text = "Form1"
        self.ResumeLayout(False)
        self.PerformLayout()
    def __init__(self):
        self.Text = 'Hello World'
        self.Name = 'Hello World'
        self.Closing += self.OnClosingEvent

        self.tb1=Forms.TextBox()
        self.tb1.Text='hello'

        self.initRhinoDoc()
Exemple #7
0
def test_cp17072():
    tb_class_dir = dir(SWF.TextBox)
    tb_instance_dir = dir(SWF.TextBox())
    for x in [  #Protected??? "AccessibilityNotifyClients", #overloaded
            "BeginInvoke",  #overloaded
            "AppendText",  #inherited
            "BringToFront",  #inherited
            "CreateObjRef",  #inherited
            "AcceptsReturn",  #property
            "AutoSizeChanged",  #inherited
            "OnDragEnter",  #explicit interface implementation
            "__reduce_ex__",  #arbitrary Python method
    ]:
        Assert(x in tb_class_dir, "%s not in dir(SWF.TextBox)" % x)
        Assert(x in tb_instance_dir, "%s not in dir(SWF.TextBox())" % x)
Exemple #8
0
 def test_class_name(self):
     '''This failed under IP 2.0A4.'''
     import System.Windows.Forms as SWF
     self.assertEqual(SWF.TextBox.__name__, "TextBox")
     self.assertEqual(SWF.TextBox().__class__.__name__, "TextBox")
    def InitializeComponent(self):
        '''Windows Form Designer generated code'''
        self.lblServerName = SysForms.Label()
        self.lblServerNameComment = SysForms.Label()
        self.txtServerName = SysForms.TextBox()
        self.btnDisconnect = SysForms.Button()
        self.btnConnect = SysForms.Button()
        self.lblCommandString = SysForms.Label()
        self.txtCommand = SysForms.TextBox()
        self.btnSendCommand = SysForms.Button()
        self.lblCommandReply = SysForms.Label()
        self.lblCommandReplyValue = SysForms.Label()
        self.SuspendLayout()
		# 
		# lblServerName
		#
        self.lblServerName.Location = SysDrawing.Point(16, 8)
        self.lblServerName.Name = "lblServerName"
        self.lblServerName.Size = SysDrawing.Size(72, 16)
        self.lblServerName.TabIndex = 24
        self.lblServerName.Text = "Server Name"
        # 
        # lblServerNameComment
        # 
        self.lblServerNameComment.Location = SysDrawing.Point(136, 32)
        self.lblServerNameComment.Name = "lblServerNameComment"
        self.lblServerNameComment.Size = SysDrawing.Size(208, 16)
        self.lblServerNameComment.TabIndex = 28
        self.lblServerNameComment.Text = "(User may enter pc name or IP address)"
        # 
        # txtServerName
        # 
        self.txtServerName.Location = SysDrawing.Point(96, 8)
        self.txtServerName.Name = "txtServerName"
        self.txtServerName.Size = SysDrawing.Size(280, 20)
        self.txtServerName.TabIndex = 27
        self.txtServerName.Text = ""
        # 
        # btnDisconnect
        # 
        self.btnDisconnect.Location = SysDrawing.Point(464, 8)
        self.btnDisconnect.Name = "btnDisconnect"
        self.btnDisconnect.TabIndex = 26
        self.btnDisconnect.Text = "Disconnect"
        self.btnDisconnect.Click += System.EventHandler(self.btnDisconnect_Click)
        # 
        # btnConnect
        # 
        self.btnConnect.Location = SysDrawing.Point(384, 8)
        self.btnConnect.Name = "btnConnect"
        self.btnConnect.TabIndex = 25
        self.btnConnect.Text = "Connect"
        self.btnConnect.Click += System.EventHandler(self.btnConnect_Click)
		# 
		# lblCommandString
		#
        self.lblCommandString.Location = SysDrawing.Point(16, 80)
        self.lblCommandString.Name = "lblCommandName"
        self.lblCommandString.Size = SysDrawing.Size(90, 16)
        self.lblCommandString.TabIndex = 29
        self.lblCommandString.Text = "Command String"
        # 
        # txtCommand
        # 
        self.txtCommand.Location = SysDrawing.Point(110, 80)
        self.txtCommand.Name = "txtCommand"
        self.txtCommand.Size = SysDrawing.Size(280, 20)
        self.txtCommand.TabIndex = 30
        self.txtCommand.Text = "-PostEvent \"Test Event\" 0 0"
        # 
        # btnSendCommand
        # 
        self.btnSendCommand.Location = SysDrawing.Point(400, 80)
        self.btnSendCommand.Name = "btnSendCommand"
        self.btnSendCommand.TabIndex = 31
        self.btnSendCommand.Size = SysDrawing.Size(100, 20)
        self.btnSendCommand.Text = "Send Command"
        self.btnSendCommand.Click += System.EventHandler(self.btnSendCommand_Click)
		# 
		# lblCommandReply
		#
        self.lblCommandReply.Location = SysDrawing.Point(16, 120)
        self.lblCommandReply.Name = "lblCommandReply"
        self.lblCommandReply.Size = SysDrawing.Size(100, 16)
        self.lblCommandReply.TabIndex = 32
        self.lblCommandReply.Text = "Command Reply: "
		# 
		# lblCommandReplyValue
		#
        self.lblCommandReplyValue.Location = SysDrawing.Point(118, 120)
        self.lblCommandReplyValue.Name = "lblCommandReplyValue"
        self.lblCommandReplyValue.Size = SysDrawing.Size(300, 16)
        self.lblCommandReplyValue.TabIndex = 33
        self.lblCommandReplyValue.Text = ""
        # 
        # NetComExampleCommandsForm
        # 
        self.AutoScaleBaseSize = SysDrawing.Size(5, 13)
        self.ClientSize = SysDrawing.Size(552, 150)
        self.Controls.Add(self.lblServerName)
        self.Controls.Add(self.lblServerNameComment)
        self.Controls.Add(self.txtServerName)
        self.Controls.Add(self.btnDisconnect)
        self.Controls.Add(self.btnConnect)
        self.Controls.Add(self.lblCommandString)
        self.Controls.Add(self.txtCommand)
        self.Controls.Add(self.btnSendCommand)
        self.Controls.Add(self.lblCommandReply)
        self.Controls.Add(self.lblCommandReplyValue)
        self.FormBorderStyle = SysForms.FormBorderStyle.FixedDialog
        self.Name = "NetComExampleCommandsForm"
        self.Text = "NetCom Example - Commands"
        self.ResumeLayout(False)
Exemple #10
0
def test_class_name():
    '''
    This failed under IP 2.0A4.
    '''
    AreEqual(SWF.TextBox.__name__, "TextBox")
    AreEqual(SWF.TextBox().__class__.__name__, "TextBox")
Exemple #11
0
 def InitializeComponent(self):
     '''Windows Form Designer generated code'''
     self.lblServerName = SysForms.Label()
     self.grpStreamProps = SysForms.GroupBox()
     self.btnCloseStream = SysForms.Button()
     self.btnOpenStream = SysForms.Button()
     self.btnObjectRefresh = SysForms.Button()
     self.lblObjectCountNum = SysForms.Label()
     self.lblObjectCount = SysForms.Label()
     self.lblObjectTypeString = SysForms.Label()
     self.lblObjectType = SysForms.Label()
     self.cmbDASObjects = SysForms.ComboBox()
     self.lblDASObjects = SysForms.Label()
     self.lblServerNameComment = SysForms.Label()
     self.txtServerName = SysForms.TextBox()
     self.btnDisconnect = SysForms.Button()
     self.btnConnect = SysForms.Button()
     self.grpRecordLog = SysForms.GroupBox()
     self.lbRecordLog = SysForms.ListBox()
     self.grpStreamProps.SuspendLayout()
     self.grpRecordLog.SuspendLayout()
     self.SuspendLayout()
     #
     # lblServerName
     #
     self.lblServerName.Location = SysDrawing.Point(16, 8)
     self.lblServerName.Name = "lblServerName"
     self.lblServerName.Size = SysDrawing.Size(72, 16)
     self.lblServerName.TabIndex = 24
     self.lblServerName.Text = "Server Name"
     #
     # grpStreamProps
     #
     self.grpStreamProps.Controls.Add(self.btnCloseStream)
     self.grpStreamProps.Controls.Add(self.btnOpenStream)
     self.grpStreamProps.Controls.Add(self.btnObjectRefresh)
     self.grpStreamProps.Controls.Add(self.lblObjectCountNum)
     self.grpStreamProps.Controls.Add(self.lblObjectCount)
     self.grpStreamProps.Controls.Add(self.lblObjectTypeString)
     self.grpStreamProps.Controls.Add(self.lblObjectType)
     self.grpStreamProps.Controls.Add(self.cmbDASObjects)
     self.grpStreamProps.Controls.Add(self.lblDASObjects)
     self.grpStreamProps.Location = SysDrawing.Point(16, 64)
     self.grpStreamProps.Name = "grpStreamProps"
     self.grpStreamProps.Size = SysDrawing.Size(520, 88)
     self.grpStreamProps.TabIndex = 29
     self.grpStreamProps.TabStop = False
     self.grpStreamProps.Text = "Stream Properties"
     #
     # btnCloseStream
     #
     self.btnCloseStream.Location = SysDrawing.Point(192, 56)
     self.btnCloseStream.Name = "btnCloseStream"
     self.btnCloseStream.Size = SysDrawing.Size(88, 23)
     self.btnCloseStream.TabIndex = 8
     self.btnCloseStream.Text = "Close Stream"
     self.btnCloseStream.Click += System.EventHandler(
         self.btnCloseStream_Click)
     #
     # btnOpenStream
     #
     self.btnOpenStream.Location = SysDrawing.Point(104, 56)
     self.btnOpenStream.Name = "btnOpenStream"
     self.btnOpenStream.Size = SysDrawing.Size(80, 23)
     self.btnOpenStream.TabIndex = 7
     self.btnOpenStream.Text = "Open Stream"
     self.btnOpenStream.Click += System.EventHandler(
         self.btnOpenStream_Click)
     #
     # btnObjectRefresh
     #
     self.btnObjectRefresh.Location = SysDrawing.Point(16, 56)
     self.btnObjectRefresh.Name = "btnObjectRefresh"
     self.btnObjectRefresh.Size = SysDrawing.Size(80, 23)
     self.btnObjectRefresh.TabIndex = 6
     self.btnObjectRefresh.Text = "Refresh List"
     self.btnObjectRefresh.Click += System.EventHandler(
         self.btnObjectRefresh_Click)
     #
     # lblObjectCountNum
     #
     self.lblObjectCountNum.BorderStyle = SysForms.BorderStyle.Fixed3D
     self.lblObjectCountNum.Location = SysDrawing.Point(472, 29)
     self.lblObjectCountNum.Name = "lblObjectCountNum"
     self.lblObjectCountNum.Size = SysDrawing.Size(32, 23)
     self.lblObjectCountNum.TabIndex = 5
     #
     # lblObjectCount
     #
     self.lblObjectCount.Location = SysDrawing.Point(400, 32)
     self.lblObjectCount.Name = "lblObjectCount"
     self.lblObjectCount.Size = SysDrawing.Size(72, 16)
     self.lblObjectCount.TabIndex = 4
     self.lblObjectCount.Text = "Object Count"
     #
     # lblObjectTypeString
     #
     self.lblObjectTypeString.BorderStyle = SysForms.BorderStyle.Fixed3D
     self.lblObjectTypeString.Location = SysDrawing.Point(296, 29)
     self.lblObjectTypeString.Name = "lblObjectTypeString"
     self.lblObjectTypeString.Size = SysDrawing.Size(88, 23)
     self.lblObjectTypeString.TabIndex = 3
     #
     # lblObjectType
     #
     self.lblObjectType.Location = SysDrawing.Point(224, 32)
     self.lblObjectType.Name = "lblObjectType"
     self.lblObjectType.Size = SysDrawing.Size(72, 16)
     self.lblObjectType.TabIndex = 2
     self.lblObjectType.Text = "Object Type"
     #
     # cmbDASObjects
     #
     self.cmbDASObjects.DropDownStyle = SysForms.ComboBoxStyle.DropDownList
     self.cmbDASObjects.Location = SysDrawing.Point(104, 30)
     self.cmbDASObjects.Name = "cmbDASObjects"
     self.cmbDASObjects.Size = SysDrawing.Size(112, 21)
     self.cmbDASObjects.TabIndex = 1
     self.cmbDASObjects.SelectedIndexChanged += System.EventHandler(
         self.cmbDASObjects_SelectedIndexChanged)
     #
     # lblDASObjects
     #
     self.lblDASObjects.Location = SysDrawing.Point(16, 32)
     self.lblDASObjects.Name = "lblDASObjects"
     self.lblDASObjects.Size = SysDrawing.Size(88, 16)
     self.lblDASObjects.TabIndex = 0
     self.lblDASObjects.Text = "DAS Objects"
     #
     # lblServerNameComment
     #
     self.lblServerNameComment.Location = SysDrawing.Point(136, 32)
     self.lblServerNameComment.Name = "lblServerNameComment"
     self.lblServerNameComment.Size = SysDrawing.Size(208, 16)
     self.lblServerNameComment.TabIndex = 28
     self.lblServerNameComment.Text = "(User may enter pc name or IP address)"
     #
     # txtServerName
     #
     self.txtServerName.Location = SysDrawing.Point(96, 8)
     self.txtServerName.Name = "txtServerName"
     self.txtServerName.Size = SysDrawing.Size(280, 20)
     self.txtServerName.TabIndex = 27
     self.txtServerName.Text = ""
     #
     # btnDisconnect
     #
     self.btnDisconnect.Location = SysDrawing.Point(464, 8)
     self.btnDisconnect.Name = "btnDisconnect"
     self.btnDisconnect.TabIndex = 26
     self.btnDisconnect.Text = "Disconnect"
     self.btnDisconnect.Click += System.EventHandler(
         self.btnDisconnect_Click)
     #
     # btnConnect
     #
     self.btnConnect.Location = SysDrawing.Point(384, 8)
     self.btnConnect.Name = "btnConnect"
     self.btnConnect.TabIndex = 25
     self.btnConnect.Text = "Connect"
     self.btnConnect.Click += System.EventHandler(self.btnConnect_Click)
     #
     # grpRecordLog
     #
     self.grpRecordLog.Controls.Add(self.lbRecordLog)
     self.grpRecordLog.Location = SysDrawing.Point(16, 168)
     self.grpRecordLog.Name = "grpRecordLog"
     self.grpRecordLog.Size = SysDrawing.Size(520, 240)
     self.grpRecordLog.TabIndex = 30
     self.grpRecordLog.TabStop = False
     self.grpRecordLog.Text = "Record Log"
     #
     # lbRecordLog
     #
     self.lbRecordLog.Location = SysDrawing.Point(8, 16)
     self.lbRecordLog.Name = "lbRecordLog"
     self.lbRecordLog.Size = SysDrawing.Size(504, 212)
     self.lbRecordLog.TabIndex = 0
     #
     # NetComExampleStreamsForm
     #
     self.AutoScaleBaseSize = SysDrawing.Size(5, 13)
     self.ClientSize = SysDrawing.Size(552, 422)
     self.Controls.Add(self.lblServerName)
     self.Controls.Add(self.grpStreamProps)
     self.Controls.Add(self.lblServerNameComment)
     self.Controls.Add(self.txtServerName)
     self.Controls.Add(self.btnDisconnect)
     self.Controls.Add(self.btnConnect)
     self.Controls.Add(self.grpRecordLog)
     self.FormBorderStyle = SysForms.FormBorderStyle.FixedDialog
     self.Name = "NetComExampleStreamsForm"
     self.Text = "NetCom Example - Streams"
     self.grpStreamProps.ResumeLayout(False)
     self.grpRecordLog.ResumeLayout(False)
     self.ResumeLayout(False)
    def __init__(self):
        self.label1 = Forms.Label()
        self.label2 = Forms.Label()
        self.listBox_selection = Forms.ListBox()
        self.comboBox_layer = Forms.ComboBox()
        self.textBox_net = Forms.TextBox()
        self.label3 = Forms.Label()
        self.textBox_linewidth = Forms.TextBox()
        self.button_change = Forms.Button()
        self.label4 = Forms.Label()
        self.SuspendLayout()
        # label1
        self.label1.AutoSize = True
        self.label1.Location = Drawing.Point(13, 10)
        self.label1.Name = "label1"
        self.label1.Size = Drawing.Size(50, 19)
        self.label1.TabIndex = 0
        self.label1.Text = "Layer:"
        # label2
        self.label2.AutoSize = True
        self.label2.Location = Drawing.Point(13, 72)
        self.label2.Name = "label2"
        self.label2.Size = Drawing.Size(103, 19)
        self.label2.TabIndex = 1
        self.label2.Text = "Net Keyword:"
        self.label2.Click += self.label2_Click

        # listBox_selection
        self.listBox_selection.FormattingEnabled = True
        self.listBox_selection.ItemHeight = 19
        self.listBox_selection.Location = Drawing.Point(174, 32)
        self.listBox_selection.Name = "listBox_selection"
        self.listBox_selection.SelectionMode = Forms.SelectionMode.MultiExtended
        self.listBox_selection.Size = Drawing.Size(225, 308)
        self.listBox_selection.TabIndex = 2
        self.listBox_selection.SelectedIndexChanged += self.listBox_selection_SelectedIndexChanged

        # comboBox_layer
        self.comboBox_layer.FormattingEnabled = True
        self.comboBox_layer.Location = Drawing.Point(13, 32)
        self.comboBox_layer.Name = "comboBox_layer"
        self.comboBox_layer.Size = Drawing.Size(151, 27)
        self.comboBox_layer.TabIndex = 3
        self.comboBox_layer.SelectedIndexChanged += self.comboBox_layer_SelectedIndexChanged

        # textBox_net
        self.textBox_net.Location = Drawing.Point(13, 94)
        self.textBox_net.Name = "textBox_net"
        self.textBox_net.Size = Drawing.Size(151, 27)
        self.textBox_net.TabIndex = 4
        self.textBox_net.Text = ".*"
        self.textBox_net.TextChanged += self.textBox_net_TextChanged

        # label3
        self.label3.AutoSize = True
        self.label3.Location = Drawing.Point(13, 207)
        self.label3.Name = "label3"
        self.label3.Size = Drawing.Size(88, 19)
        self.label3.TabIndex = 5
        self.label3.Text = "Line Width:"
        # textBox_linewidth
        self.textBox_linewidth.Location = Drawing.Point(13, 229)
        self.textBox_linewidth.Name = "textBox_linewidth"
        self.textBox_linewidth.Size = Drawing.Size(151, 27)
        self.textBox_linewidth.TabIndex = 6
        # button_change
        self.button_change.Font = Drawing.Font("Microsoft JhengHei UI", 12, Drawing.FontStyle.Bold, Drawing.GraphicsUnit.Point)
        self.button_change.Location = Drawing.Point(13, 278)
        self.button_change.Name = "button_change"
        self.button_change.Size = Drawing.Size(151, 62)
        self.button_change.TabIndex = 7
        self.button_change.Text = "CHANGE"
        self.button_change.UseVisualStyleBackColor = True
        self.button_change.Click += self.button_change_Click

        # label4
        self.label4.AutoSize = True
        self.label4.Location = Drawing.Point(174, 10)
        self.label4.Name = "label4"
        self.label4.Size = Drawing.Size(104, 19)
        self.label4.TabIndex = 8
        self.label4.Text = "Net Selection:"
        # Form1
        self.AutoScaleDimensions = Drawing.SizeF(9, 19)
        self.AutoScaleMode = Forms.AutoScaleMode.Font
        self.ClientSize = Drawing.Size(412, 353)
        self.Controls.Add(self.label4)
        self.Controls.Add(self.button_change)
        self.Controls.Add(self.textBox_linewidth)
        self.Controls.Add(self.label3)
        self.Controls.Add(self.textBox_net)
        self.Controls.Add(self.comboBox_layer)
        self.Controls.Add(self.listBox_selection)
        self.Controls.Add(self.label2)
        self.Controls.Add(self.label1)
        self.FormBorderStyle = Forms.FormBorderStyle.FixedSingle
        self.MaximizeBox = False
        self.MinimizeBox = False
        self.MinimumSize = Drawing.Size(400, 400)
        self.Name = "Form1"
        self.Padding = Forms.Padding(10)
        self.SizeGripStyle = Forms.SizeGripStyle.Show
        self.StartPosition = Forms.FormStartPosition.CenterScreen
        self.Text = "Line Width Editor"
        self.TopMost = True
        self.Load += self.Form1_Load

        self.ResumeLayout(False)
        self.PerformLayout()